/*
 * JSPTem - use jsp's for all your templating!
 * Copyright (c) 2006, Paul Tuckey
 * All rights reserved.
 *
 * JSPTem is based on GNUJSP
 * Copyright (C) 1999, Yaroslav Faybishenko <yaroslav@cs.berkeley.edu>
 *
 * Each copy or derived work must preserve the copyright notice and this
 * notice unmodified.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
package org.tuckey.jsptem.servlet;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Locale;


public class JspTemHttpServletResponse implements HttpServletResponse {
    public void sendError(int i) throws IOException {

    }

    public void setStatus(int i) {

    }

    public void sendError(int i, String string) throws IOException {

    }

    /**
     * @deprecated
     */
    public void setStatus(int i, String string) {

    }

    public void sendRedirect(String string) throws IOException {

    }

    public boolean containsHeader(String string) {
        return false;
    }

    public void addIntHeader(String string, int i) {

    }

    public void setIntHeader(String string, int i) {

    }

    public void addDateHeader(String string, long l) {

    }

    public void setDateHeader(String string, long l) {

    }

    public void addCookie(Cookie cookie) {

    }

    public String encodeRedirectURL(String string) {
        return null;
    }

    /**
     * @deprecated
     */
    public String encodeRedirectUrl(String string) {
        return null;
    }

    public String encodeURL(String string) {
        return null;
    }

    /**
     * @deprecated
     */
    public String encodeUrl(String string) {
        return null;
    }

    public void addHeader(String string, String string1) {

    }

    public void setHeader(String string, String string1) {

    }

    public int getBufferSize() {
        return 0;
    }

    public void flushBuffer() throws IOException {

    }

    public void reset() {

    }

    public void resetBuffer() {

    }

    public boolean isCommitted() {
        return false;
    }

    public void setBufferSize(int i) {

    }

    public void setContentLength(int i) {

    }

    public PrintWriter getWriter() throws IOException {
        return null;
    }

    public String getCharacterEncoding() {
        return null;
    }

    public String getContentType() {
        return null;
    }

    public void setCharacterEncoding(String string) {

    }

    public void setContentType(String string) {

    }

    public Locale getLocale() {
        return null;
    }

    public void setLocale(Locale locale) {

    }

    public ServletOutputStream getOutputStream() throws IOException {
        return null;
    }
}
